Last modified: 2012-11-18 10:54:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38561 - Add page ID to MediaWiki's info action
Add page ID to MediaWiki's info action
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: 21572 38450 42238
  Show dependency treegraph
 
Reported: 2012-07-21 22:31 UTC by MZMcBride
Modified: 2012-11-18 10:54 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2012-07-21 22:31:55 UTC
The output of MediaWiki's info action should include the page's internal ID (page.page_id). This is interesting metadata (as the integers are chronologically sequential, largely) and this bit of metadata is currently tucked away in the page source, but not exposed anywhere, making debugging sometimes more tedious than it should be.
Comment 1 Sam Reed (reedy) 2012-08-19 20:35:36 UTC
https://gerrit.wikimedia.org/r/#/c/17634/ merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links